:START
ECHO off
CLS
REM  look at Forum64.de - Projektvorstellung: SDrive-MAX from kbr (Klaus)
REM  https://www.forum64.de/index.php?thread/78122-projektvorstellung-sdrive-max/
REM  Homepage of the developer
REM  http://www.kbrnet.de/projekte/sdrive-max/index.html
REM
REM  Command lines from CapFuture1975 
REM  Batchup File from Bernd alias BigBen / Flash
REM  Bug found from HardwareDoc

REM Look that all files are into the foulder
if not exist SDrive.hex goto fehler_0
if not exist eeprom_writer.hex goto fehler_0
if not exist avrdude.exe goto fehler_0
if not exist libusb0.dll goto fehler_0
if not exist avrdude.conf goto fehler_0


Echo.
ECHO.
Echo.
ECHO.
Echo.
ECHO.
Echo  			    SDrive-Max programmer
ECHO.
Echo     Please enter the COM port number of the Arduino Uno (only numbers)
Echo.  	 Press enter for help
Echo.
ECHO.                            

set /p  Eingabe=COM:

echo.
echo.
echo                      Was chosen COM%Eingabe% 

If "%Eingabe%" =="" goto HELP

avrdude -c arduino -p m328p -P \\.\COM%Eingabe% -C avrdude.conf -U flash:w:eeprom_writer.hex

echo.
echo.
echo.
echo.
echo              Remove the USB from the PC and plug it in again
echo                    RESET at the UNO is not enough!!!!!!
echo              wait until the COM is active on the PC again
echo.                     then press the button
echo.
echo.
echo.
echo.
Pause



avrdude -c arduino -p m328p -P \\.\COM%Eingabe% -C avrdude.conf -U flash:w:SDrive.hex

goto END

:HELP
CLS
echo.
echo.
echo.
echo If the COM port number is not known, start the "Arduino.exe" software.
echo In the menu item - Tools Board: Port, the assigned COM interface is displayed.
echo If the software does not exist, then download at http://arduino.cc.
echo In Windows Device Manager, the COM port under Ports (COM + LTP) is also displayed. 
echo.
echo.
echo.
echo It continues with a keystroke

Pause
goto START



:fehler_0
CLS
echo.
echo.
echo     There are missing files in the directory, please check. 
echo.
echo.
PAUSE

:END
echo.
echo.
echo.
echo.
echo           Programming is finished
echo.
echo.
Pause